[D007]专利详情接口

get
https://connect.zhihuiya.com/basic-patent-data/patent-detail
在体验中心中试用

可以通过输入patent_id或patent_number查询具体某条专利的详情信息。

专利id和公开号两个参数必须要有一个,如果两个都存在,会优先使用专利id。

请求参数

此 API 接口支持的参数列表

名称类型示例描述
lang
stringen
翻译语言选择,支持cn、en、jp
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
专利id
patent_number
stringUS11205304B2
公开公告号
replace_by_related
integer<int32>0
当前专利的全文文本无法获取时,是否用它的同族专利的文本替代,默认不替代:

1:是

0:否

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
object-
响应数据
pn
stringCN110650438A
专利公开(公告)号
title
arraytitle
专利标题语言和名称
lang
stringEN
语言
text
stringSystems and methods for rendering user interfaces for augmented or virtual reality
文本
pn_related
stringCN103106923A
替代专利的公开号(仅当使用同族专利的文本进行替代时提供)
data_format
stringoriginal
Original原始数据,如果原文有多种语言的文本,会同时返回
claims
arrayPlease check the form: Claims
权利要求
lang
stringEN
语言
claim_text
string1. A method for selectively constructing a search result for data requested by a search request, said method comprising: generating, by a processor of a computer system, a first tree as a result of executing a subtree procedure specified in a query over a template tree by use of path information of a data node corresponding to data requested by a search request and existing within a database system, wherein the search request comprises the query and path information of the data node, wherein the query traverses the template tree representing a hierarchically organized data structure of the database system according to the path information, wherein the path information indicates a hierarchical address of the data node within the template tree, wherein the subtree procedure dynamically expands the template tree comprising at least one node into a respective group of one or more child nodes pursuant to the path information of the search request, wherein said at least one node is associated with a respective subtree generator callback function for the subtree procedure to perform resulting in dynamically expanded said respective group of one or more child nodes, such that said child nodes of the first tree instantiate respective values located by the path information from at least one data source interconnected to the database system such that the first tree comprises only a portion of the hierarchically organized data structure of the database system specified in the path information of the received search request without expanding entire child nodes for the first tree; selecting, by the processor, the data node that satisfies the path information from the generated first tree; and transferring, by the processor, a value associated with the selected data node to a user program that sent the search request as a search result such that the user program receives the data corresponding to the path information in response to the search request, wherein the user program runs on a computing system coupled to the computer system through a communication medium.\n2. The method of claim 1, said executing the subtree procedure comprising: traversing a node of said at least one node in the template tree in a descending order from a top level in the hierarchical address specified in the path information, wherein each node in the template tree comprises a respective subtree generator callback function and a respective data set such that the respective subtree generator callback function generates a respective subtree of said each node upon being invoked and such that the respective data set of said each node instantiates all nodes in the respective subtree generated by the respective subtree generator callback function, and wherein the hierarchical address of the path information is ordered such that a higher level in the hierarchical address appears prior to a lower level in the hierarchical address corresponding to the hierarchical address in the template tree; expanding the node in the template tree visited in said traversing; and iterating said traversing and said expanding for each node in the template tree until a bottom level in the hierarchical address of the path information is reached.\n3. The method of claim 2, said expanding comprising: determining that a child node of the node visited in said traversing does not exist indicating that the node needs to be expanded into a subtree; creating the subtree of the node visited in said traversing by invoking a subtree generator callback function associated with the node visited in said traversing; injecting, to the template tree, the created subtree as the child node of the node visited in said traversing; disassociating the subtree generator callback function from the node visited in said traversing such that the node visited in said traversing does not redundantly create another subtree subsequent to said injecting; and storing the template tree comprising the created subtree as the first tree.\n4. The method of claim 2, said expanding comprising: determining that a child node of the node visited in said traversing is a terminal node that is not expandable; and storing the template tree comprising the child node comprising a value corresponding to the child node selected from a first data set associated with the node visited from said traversing as the first tree.\n5. The method of claim 2, wherein the respective data set of the node in the template tree is dynamically collected from a data source of said at least one data source prior to said expanding.\n6. The method of claim 1, wherein the hierarchically organized data structure of the database system and the search result are expressed in the Extensible Markup Language (XML), and wherein the path information is expressed in the XML Path Language (XPath).\n7. A computer program product, comprising a computer readable hardware storage device having computer readable program code stored therein, said program code containing instructions executable by a processor of a computer system to implement a method for selectively constructing a search result for data requested by a search request, said method comprising: generating, by the processor, a first tree as a result of executing a subtree procedure specified in a query over a template tree by use of path information of a data node corresponding to data requested by a search request and existing within a database system, wherein the search request comprises the query and path information of the data node, wherein the query traverses the template tree representing a hierarchically organized data structure of the database system according to the path information, wherein the path information indicates a hierarchical address of the data node within the template tree, wherein the subtree procedure dynamically expands the template tree comprising at least one node into a respective group of one or more child nodes pursuant to the path information of the search request, wherein said at least one node is associated with a respective subtree generator callback function for the subtree procedure to perform resulting in dynamically expanded said respective group of one or more child nodes, such that said child nodes of the first tree instantiate respective values located by the path information from at least one data source interconnected to the database system such that the first tree comprises only a portion of the hierarchically organized data structure of the database system specified in the path information of the received search request without expanding entire child nodes for the first tree; selecting, by the processor, the data node that satisfies the path information from the generated first tree; and transferring, by the processor, a value associated with the selected data node to a user program that sent the search request as a search result such that the user program receives the data corresponding to the path information in response to the search request, wherein the user program runs on a computing system coupled to the computer system through a communication medium.\n8. The computer program product of claim 7, said executing the subtree procedure comprising: traversing a node of said at least one node in the template tree in a descending order from a top level in the hierarchical address specified in the path information, wherein each node in the template tree comprises a respective subtree generator callback function and a respective data set such that the respective subtree generator callback function generates a respective subtree of said each node upon being invoked and such that the respective data set of said each node instantiates all nodes in the respective subtree generated by the respective subtree generator callback function, and wherein the hierarchical address of the path information is ordered such that a higher level in the hierarchical address appears prior to a lower level in the hierarchical address corresponding to the hierarchical address in the template tree; expanding the node in the template tree visited in said traversing; and iterating said traversing and said expanding for each node in the template tree until a bottom level in the hierarchical address of the path information is reached.\n9. The computer program product of claim 8, said expanding comprising: determining that a child node of the node visited in said traversing does not exist indicating that the node needs to be expanded into a subtree; creating the subtree of the node visited in said traversing by invoking a subtree generator callback function associated with the node visited in said traversing; injecting, to the template tree, the created subtree as the child node of the node visited in said traversing; disassociating the subtree generator callback function from the node visited in said traversing such that the node visited in said traversing does not redundantly create another subtree subsequent to said injecting; and storing the template tree comprising the created subtree as the first tree.\n10. The computer program product of claim 8, said expanding comprising: determining that a child node of the node visited in said traversing is a terminal node that is not expandable; and storing the template tree comprising the child node comprising a value corresponding to the child node selected from a first data set associated with the node visited from said traversing as the first tree.\n11. The computer program product of claim 8, wherein the respective data set of the node in the template tree is dynamically collected from a data source of said at least one data source prior to said expanding.\n12. The computer program product of claim 7, wherein the hierarchically organized data structure of the database system and the search result are expressed in the Extensible Markup Language (XML), and wherein the path information is expressed in the XML Path Language (XPath).\n13. A computer system, comprising a processor, a memory coupled to the processor, and a computer readable storage device coupled to the processor, said storage device containing program code executable by the processor via the memory to implement a method for selectively constructing a search result for data requested by a search request, said method comprising: generating, by the processor, a first tree as a result of executing a subtree procedure specified in a query over a template tree by use of path information of a data node corresponding to data requested by a search request and existing within a database system, wherein the search request comprises the query and path information of the data node, wherein the query traverses the template tree representing a hierarchically organized data structure of the database system according to the path information, wherein the path information indicates a hierarchical address of the data node within the template tree, wherein the subtree procedure dynamically expands the template tree comprising at least one node into a respective group of one or more child nodes pursuant to the path information of the search request, wherein said at least one node is associated with a respective subtree generator callback function for the subtree procedure to perform resulting in dynamically expanded said respective group of one or more child nodes, such that said child nodes of the first tree instantiate respective values located by the path information from at least one data source interconnected to the database system such that the first tree comprises only a portion of the hierarchically organized data structure of the database system specified in the path information of the received search request without expanding entire child nodes for the first tree; selecting, by the processor, the data node that satisfies the path information from the generated first tree; and transferring, by the processor, a value associated with the selected data node to a user program that sent the search request as a search result such that the user program receives the data corresponding to the path information in response to the search request, wherein the user program runs on a computing system coupled to the computer system through a communication medium.\n14. The computer system of claim 13, said executing the subtree procedure comprising: traversing a node of said at least one node in the template tree in a descending order from a top level in the hierarchical address specified in the path information, wherein each node in the template tree comprises a respective subtree generator callback function and a respective data set such that the respective subtree generator callback function generates a respective subtree of said each node upon being invoked and such that the respective data set of said each node instantiates ail nodes in the respective subtree generated by the respective subtree generator callback function, and wherein the hierarchical address of the path information is ordered such that a higher level in the hierarchical address appears prior to a lower level in the hierarchical address corresponding to the hierarchical address in the template tree; expanding the node in the template tree visited in said traversing; and iterating said traversing and said expanding for each node in the template tree until a bottom level in the hierarchical address of the path information is reached.\n15. The computer system of claim 14, said expanding comprising: determining that a child node of the node visited in said traversing does not exist indicating that the node needs to be expanded into a subtree; creating the subtree of the node visited in said traversing by invoking a subtree generator callback function associated with the node visited in said traversing; injecting, to the template tree, the created subtree as the child node of the node visited in said traversing; disassociating the subtree generator callback function from the node visited in said traversing such that the node visited in said traversing does not redundantly create another subtree subsequent to said injecting; and storing the template tree comprising the created subtree as the first tree.\n16. The computer system of claim 14, said expanding comprising: determining that a child node of the node visited in said traversing is a terminal node that is not expandable; and storing the template tree comprising the child node comprising a value corresponding to the child node selected from a first data set associated with the node visited from said traversing as the first tree.\n17. The computer system of claim 14, wherein the respective data set of the node in the template tree is dynamically collected from a data source of said at least one data source prior to said expanding.\n18. The computer system of claim 13, wherein the hierarchically organized data structure of the database system and the search result are expressed in the Extensible Markup Language (XML), and wherein the path information is expressed in the XML Path Language (XPath).
权利要求文本
pn_related
stringCN103106923A
替代专利的公开号(仅当使用同族专利的文本进行替代时提供)
data_format
stringoriginal
Original原始数据,如果原文有多种语言的文本,会同时返回
claim_independent_count
integer<int32>3
独立权利要求数量
abstracts
arrayPatentAbstract
专利摘要相关
lang
stringEN
语言
text
stringAn augmented reality display system comprises a passable world model data comprises a set of map points corresponding to one or more objects of the real world. The augmented reality system also comprises......
文本
pn_related
stringCN103106923A
替代专利的公开号(仅当使用同族专利的文本进行替代时提供)
data_format
stringoriginal
Original原始数据,如果原文有多种语言的文本,会同时返回
patent_id
string1e099a74-4378-4b84-9d13-f1b4ed5cb59b
专利id
description
arrayDescription
说明书
lang
stringJP
语言
text
string<b class="d_n">【0001】</b>【発明の属する技術分野】本発明は圧電発振器回路に関し、特に低電源電圧で動作する圧電発振器回路に関する。\n<b class=\"d_n\">【0002】</b>\n【従来の技術】携帯電話機等バッテリーを電源とする移動体通信機器は、消費電力を極力少なくすることにより、同一容量のバッテリーにて通信可能時間が長時間である機種が従来より強く求められている。この為、従来移動体通信機に使用するバッテリーの性能の向上を図ると共に、水晶発振器を含む使用部品の低電力化等による対応を進めている。即ち、駆動電圧を低く設定できれば同一容量のバッテリーでより多くの電流容量を供給できる。一方、この様な水晶発振器に要求される不可欠な重要特性として、広い温度範囲にわたる高い周波数精度や出力振幅の安定性が挙げられるが、水晶発振器は温度特性を有する数多くの部品を用いて構成している為、前記特性を悪化する要因が複数存在する。 上記の要因の一つとしては発振回路内に使用しているトランジスタの動作電流が周囲の温度変化により大きく変化する為に相互コンダクタンスが変化することが知られており、その結果、出力信号の振幅が変動したり、また、トランジスタの入力容量が変化し出力周波数が変動するという問題が生じる。\n<b class=\"d_n\">【0003】</b>このことを図面を用いて説明すると、図7は従来技術として一般的に知られるコルピッツ型水晶発振回路である。同図中のR1、R2、R3、R4はトランジスタの直流バイアス抵抗であり、C1、C2、C3、C4はコンデンサであり、Q1はトランジスタであり、Y1は水晶振動子である。また、前記直流バイアス抵抗は、前記トランジスタQ1がA級動作するように値を設定することが一般的である。上述したように温度変化に対するトランジスタの動作電流が変化する主要因としては、トランジスタのベースとエミッタ間の電圧(以下V<sub>BE</sub>と称す)が一次関数的な温度特性を有する為である。従来このような問題を解決する為に、前記直流バイアス抵抗R2にベース電流の数倍から数十倍の電流を流すよう設定を行い前記V<sub>BE</sub>の変化に伴うトランジスタのベース電圧の変動を抑えた設定としていた。また、出力信号の振幅の変動に対しては、従来コレクタ電流を十分多く流すことで予め高出力信号振幅に設定しておき、温度変化により出力信号の振幅が減少した場合に於いても要求する特性を満たすようにしていた。また、エミッタ電圧をV<sub>E</sub>、ベース電圧をV<sub>B</sub>、とした場合、V<sub>E</sub>≒V<sub>B</sub>-V<sub>BE</sub>よりベース電圧V<sub>B</sub>を大きく設定することによりV<sub>BE</sub>の変化に対するエミッタ電圧V<sub>E</sub>の変化を小さくし、エミッタ電流及び、コレクタ電流の変動を抑える設定を行っていた。\n<b class=\"d_n\">【0004】</b>\n【本発明が解決しようとする課題】しかしながら、前記図6に示すような従来の発振回路に於いて、上述したようにベース電圧をV<sub>BE</sub>に対し十分大きく設定する為には電源電圧が十分高いことが必要であり、従って、近年要求される低電圧化を図った発振回路への採用は不可能である。 また、温度変化に伴う出力信号の振幅変動分を補う為にコレクタ電流を多く流し予め高振幅の出力信号を得る方法は、低消費電流の要求に反することになり、その解決が望まれていた。本発明は上記の問題を解決する為になされたものであって、低電源電圧駆動を可能とし、しかも低消費電流であり、更に、発振周波数精度と出力信号の振幅の安定性に優れた圧電発振器を提供することを目的としている。\n<b class=\"d_n\">【0005】</b>\n【課題を解決するための手段】従来の発振回路に於ける前記問題の発生の要因は発振回路中のトランジスタのベースとエミッタ間の電圧V<sub>BE</sub>が温度変化に伴い変動するにも関わらず、トランジスタのベース電圧が固定されている為にある。そこで本発明では、上記を解決する為に、本発明に係わる圧電発振回路の請求項1記載の発明は、発振回路中のトランジスタのベースバイアス回路に前記トランジスタのベースとエミッタ間の電圧と同等の温度·電圧特性を有する半導体素子を備えることにより、前記トランジスタの温度変化に伴うコレクタ·エミッタ電流の変化を抑圧するように構成したことを特徴とした前記圧電発振回路。請求項2記載の発明は前記半導体素子をベースとエミッタとを接続したトランジスタをベースバイアス回路に挿入していることを特徴としている。請求項3記載の発明は前記請求項1の発明に加え、前記圧電発振回路がカスコード型増幅回路を備えたコルピッツ発振回路であることを特徴としている。請求項4記載の発明は前記請求項1、請求項2又は請求項3記載の発明に加え、発振用トランジスタをベースバイアス回路中のトランジスタと同一種類とした構成を特徴としている。\n<b class=\"d_n\">【0006】</b>\n【本発明の実施の形態】以下、図示した実施例に基づいて本発明を詳細に説明する。図1は本発明を用いた水晶発振回路の一実施例を示す回路図である。同図に示す発振回路は直流バイアス抵抗素子R1、R2、R3、R4とコンデンサC1、C2、C3、C4とトランジスタQ1、Q2と水晶振動子Y1から構成しており、前記図7に示す従来のコルピッツ型水晶発振回路とは前記トランジスタQ1のベースバイアス回路の以下の点が異なる。即ち、前記ベースバイアス回路の直流バイアス抵抗R2に直列にベースとコレクタを接続したダイオード接続したトランジスタQ2を接続しており、更に、前記トランジスタQ1とQ2を同一種類とすることにより、前記半導体素子V<sub>T</sub>を前記トランジスタQ2により構成している。これにより温度変化による前記トランジスタQ1のV<sub>BE</sub>の電圧変化に追従するようにベース電圧が変化する為、前記トランジスタQ1の温度変化に伴うコレクタ電流とエミッタ電流の変化を抑え、しかも、温度変化に対し安定な信号振幅の出力を可能とした水晶発振回路を実現することができる。\n<b class=\"d_n\">【0007】</b>以下に、このことを数式を用いて詳細に説明する。今、前記図1の発振回路に於いて、コレクタ電流をI<sub>C</sub>、トランジスタQ1のベースとエミッタ間の電圧をV<sub>BE1</sub>、トランジスタQ2のベースとエミッタ間の電圧をV<sub>BE2</sub>、直流バイアス抵抗R2に流れる電流をI<sub>R2</sub>とする。前記コレクタ電流I<sub>C</sub>は一般的に I<sub>C</sub>=(V<sub>BE2</sub>+I<sub>R2</sub>×R2-V<sub>BE1</sub>)/R4····(1)\nの関係式で示すことができるが、温度変化によりV<sub>BE1</sub>及び、V<sub>BE2</sub>がそれぞれ+△V<sub>BE1</sub>及び、+△V<sub>BE2</sub>変化した場合のコレクタ電流I<sub>C</sub>+△I<sub>C</sub>はI<sub>C</sub>+△I<sub>C</sub>=(V<sub>BE2</sub>+△V<sub>BE2</sub>+I<sub>R2</sub>×R2-(V<sub>BE1</sub>+△V<sub>BE1</sub>))/R4····(2)\nで表すことができる。上述した通りトランジスタQ1とQ2は同一種類の半導体素子を使用している為、V<sub>BE1</sub>とV<sub>BE2</sub>の温度変化による電圧変化量は等しく△V<sub>BE1</sub>=△V<sub>BE2</sub>とすることができる。よって、前記温度変化でのコレクタ電流I<sub>C</sub>+△I<sub>C</sub>は I<sub>C</sub>+△I<sub>C</sub>=(V<sub>BE2</sub>+I<sub>R2</sub>×R2-V<sub>BE1</sub>)/R4····(3)\nで表され、これは前記式(1)のI<sub>C</sub>と等しい。即ち、温度変化に伴う前記トランジスタQ1のベースとエミッタ間の電圧変化は前記トランジスタQ2のベースとエミッタ間の電圧変化により相殺される為、コレクタ電流I<sub>C</sub>は温度変化に対し、これに影響されず一定の電流値が流れるので安定した発振周波数や出力信号の振幅を得ることができる。\n<b class=\"d_n\">【0008】</b>図3は本発明を採用した他の一実施例を示す水晶発振回路であって、この例に示す回路はカスコード型の増幅回路を用いたコルピッツ発振回路である。同図に於いて、Q1、Q2、Q3はトランジスタでありQ2はダイオード接続構造であり、更に、前記トランジスタQ1、Q2は同一ものを使用している。同図中のR1、R2、R3、R4、R5はトランジスタの直流バイアス抵抗であり、またC1、C2、C3、C4、C5はコンデンサであり、前記C1、C2は発振器特性に応じた容量値を有し、前記C3、C4、C5はバイパスコンデンサである。更に、同図中のY1は水晶振動子であり、実施例中では発振器出力周波数が、f<sub>0</sub>=15.36MHzとなる水晶振動子を使用している。また、同図に示す発振回路の構成は、前記抵抗R1の一方の端子を前記レギュレータU1の出力端子に接続し、他方の端子は前記トランジスタQ3のベース端子と前記コンデンサC4に接続しており、該C4の他方の端子は接地している。前記R2の一方の端子は前記U1の出力端子及び、前記R1に接続しており、他方の端子は前記トランジスタQ1のベース端子と、前記水晶振動子Y1の一方の端子及び、前記コンデンサC1の一方の端子に接続している。また、該C1の他方の端子は前記Q1のエミッタ端子と前記コンデンサC2及び、前記R5に接続しており、前記C2及び、R5の他方の端子は接地している。前記R3は一方の端子は前記Q1のベース端子及び前記R2及び振動子Y1に接続し、他方の端子は前記トランジスタQ3のコレクタ及び、ベース端子と接続しており、前記Q3のエミッタ端子及び、前記振動子Y1の他方の端子は接地している。前記R4の一方の端子は電源と前記U1の入力端子及び、前記コンデンサC3に接続しており、他方の端子は前記Q2のコレクタ端子及び前記コンデンサC5に接続し、該C5の他方の端子は発振器出力端子に接続している。前記C3の他方の端子は接地しており、前記Q1のコレクタ端子と前記Q2のエミッタ端子は接続している。\n<b class=\"d_n\">【0009】</b>また、本発明の効果を分かり易くする為、図8に示す従来技術に基づくカスコード接続型増幅回路を用いたコルピッツ型発振回路についても評価を行い特性の比較を行った。前記図7に示す発振回路は前記図3に示す発振回路に対し、発振用トランジスタQ1’のベースバイアス回路が直流バイアス抵抗R3’のみの接続としている点が異なる。図2と図7に示す発振回路は低電源電圧駆動とする為、電源電圧は+2.7Vとし、前記レギュレータの出力は+1.7Vとしている。更に、前記トランジスタQ1、Q1’のベース電位は約+0.8Vに設定しその殆どがV<sub>BE</sub>が占める設定としている。\n<b class=\"d_n\">【0010】</b>以下に、前記図2に示す発振回路と前記図7に示す発振回路の温度変化に対するコレクタ電流I<sub>C</sub>の変化及び、出力信号の振幅の変化についての評価結果を説明する。図3はそれぞれの発振回路に於いて、周囲温度が-30℃〜+85℃の範囲で変化する場合でのコレクタ電流I<sub>C</sub>の変化を測定した結果を示す。図4は図7に示す発振回路に於ける周囲温度-30℃と+25℃と+85℃での発振器の出力信号の振幅を示す。図5は図2に示す発振回路に於ける周囲温度-30℃と+25℃と+85℃での発振器の出力信号の振幅を示す。\n<b class=\"d_n\">【0011】</b>前記図3に示す通り、前記従来の発振回路ではコレクタ電流I<sub>C</sub>は400μA以上の幅で変化しまた、出力信号の振幅は約0.9V<sub>P-P</sub>の幅で変化する。これに対し、本発明に基づく発振回路ではコレクタ電流I<sub>C</sub>は100μA以内の幅で変化し、前記従来の発振回路に於けるコレクタ電流I<sub>C</sub>の変化幅と比較して変化幅が例えば約1/4と狭い特性となる結果が得られている。\n<b class=\"d_n\">【0012】</b>また、出力振幅は図6に示す通り、本発明に基づく発振回路に於いては約0.2V<sub>P-P</sub>の幅で変化し、前記従来技術に基づく発振回路の出力振幅と比較して変化幅が約1/5と狭い特性となる結果が得られた。\n<b class=\"d_n\">【0013】</b>\n【本発明の効果】前記の結果より、前記図2に示す本発明に基づく発振回路は前記図7に示す従来技術に基づく発振回路と比較して、温度変化に対しトランジスタのコレクタ電流が一定に保たれる為にトランジスタの入力容量が変化せず、発振器の発振周波数が変動し難くなる効果をもたらすことが理解できる。また、温度変化に対し発振器の出力信号の振幅が安定しているので、従来技術と比較して設定時の出力信号の振幅を抑えることが可能である為、発振器の更なる低消費電流化が実現できる効果をもたらすことが理解できる。よって、本発明により低電源電圧駆動でありながら広温度範囲に於いて、低消費電流であり且つ、出力信号の振幅の変動が小さい特性を有する水晶圧電発振器を実現できる。\n<b class=\"d_n\">【0014】</b>また、本発明による一実施例ではカスコード型増幅回路を用いたコルピッツ発振回路について説明したが、本発明はこれに限るものでなく、あらゆる水晶発振器の発振用増幅回路に適用でき、また、実施例と同様の効果が得られることは言うまでもない。\n<b class=\"d_n\">【0015】</b>また、本発明による一実施例では圧電素子として水晶振動子及び、特定の周波数を用いたが、本発明はこれに限るものではなくあらゆる圧電素子及び、周波数に適用でき、また、実施例と同様の効果が得られることは言うまでもない。\n<b class=\"d_n\">【0016】</b>また、本発明による一実施例では発振用トランジスタQ1、Q1’と、ベースバイアス回路内に有するトランジスタQ3、Q3’をそれぞれ同一の種類としているが、本発明はこれに限るものでなく、圧電発振器の出力振幅が安定するようなトランジスタの組み合わせであれば異なる種類のトランジスタの組み合わせであっても構わない。\n<b class=\"d_n\">【0017】</b>\n【図面の簡単な説明】\n【図1】本発明に基づく一実施例を示す\n【図2】本発明に基づく他の一実施例を示す\n【図3】温度変化に対するコレクタ電流の変化を示す\n【図4】従来技術に基づく発振回路の出力波形温度変化を示す\n【図5】本発明に基づく発振回路の出力波形温度変化を示す\n【図6】従来技術に基づくカスコード型増幅回路を用いたコルピッツ型発振回路\n【図7】従来技術に基づくカスコード型増幅回路を用いたコルッピツ型発振回路\n<b class=\"d_n\">【0018】</b>\n【符号の説明】\nU1、U1’···レギュレータ\nR1、R2、R3、R4、R5、R1’、R2’、R3’、R4’、R5’···抵抗素子\nC1、C2、C3、C4、C5、C1’、C2’、C3’、C4’、C5’···コンデンサ\nQ1、Q2、Q3、Q1’、Q2’ 、Q3’···トランジスタ\nY1、Y1’···水晶振動子
说明书文本
pn_related
stringCN103106923A
替代专利的公开号(仅当使用同族专利的文本进行替代时提供)
data_format
stringoriginal
Original原始数据,如果原文有多种语言的文本,会同时返回
fulltext_image
arrayPlease check the form: FullTextImage
全文附图
path
stringhttps://imagefulltext.cdn.patsnap.com/CN/A/11/64/20/14/1/HDA0004204487520000011.png?Policy=eyJTdGF0ZW1lbnQiOiBbeyJSZXNvdXJjZSI6Imh0dHBzOi8vaW1hZ2VmdWxsdGV4dC5jZG4ucGF0c25hcC5jb20vQ04vQS8xMS82NC8yMC8xNC8xL0hEQTAwMDQyMDQ0ODc1MjAwMDAwMTEucG5nIiwiQ29uZGl0aW9uIjp7IkRhdGVMZXNzVGhhbiI6eyJBV1M6RXBvY2hUaW1lIjoxNjg5NzU5OTc4fSwiSXBBZGRyZXNzIjp7IkFXUzpTb3VyY2VJcCI6IjAuMC4wLjAvMCJ9fX1dfQ__&Signature=S~Q6SepgmAUeGpWeUABJbC9Kc12URSxbhkY9zBApF5wRmm~cxj~HUgGEtXgtiTEMfgptv~58YE3OaJMvYLCkQAY5cxvNg5Fz~GFunxta5bEEObhX5H9jPb92INmrNkbcyFsCDw8EWs2sYl8o1rYY8VSQEnqsUNtnh2XHS3j7Tzs7~408IICBvcPhEfYq-U-wGs49gdCwEnH3kfgrVorquq1pELnylyoOlSvRX0tBS~n7fnbdA-tqfPVVeH68BRxX5g8sEnn-Sow6V3UnuHv7018LYM5B2QdeNo64JRHAvypjvIY9Q~511oR2TRB6eU4agFIEvz~GDS~XK~Vwxj90Sw__&Key-Pair-Id=APKAI44SYS6CW72N3U2Q
全文附图路径
image_type
stringdrawings
图片类型
title_translation
arrayPlease check the form: TitleAbstractDescriptionTranslation
标题翻译
lang
stringEN
语言
text
stringSystems and methods for rendering user interfaces for augmented or virtual reality
文本
pn_related
stringCN103106923A
替代专利的公开号(仅当使用同族专利的文本进行替代时提供)
bibliographic_data
objectPlease check the form: PDBibliographicData
著录项目
assignees
arrayPlease check the form: PatentBasePersonSimple
当前申请(专利权)人
lang
stringEN
语言
name
stringMAGIC LEAP, INC.
名称
address
stringDania Beach,FL,US
地址
sequence
integer<int32>1
序号
inventors
arrayPlease check the form: PatentBasePersonSimple
发明人
applicants
arrayPlease check the form: PatentBasePersonSimple
原始申请人
patent_type
stringPATENT
专利类型,其中APPLICATION:发明申请,PATENT:授权发明,UTILITY:实用新型,DESIGN:外观设计
inpadoc_family
arrayPlease check the form: InpadocFamily
Inpadoc同族
apdt
integer<int32>20221107
申请日
apno
stringUS17/981970
申请号
kind
stringA1
专利文献代码
pbdt
integer<int32>20240509
公开日
country
stringUS
国家/地区/组织
sequence
integer<int32>1
序号
doc_number
string20240149898
号码
reference_cited
objectPlease check the form: ReferenceCited
引用专利
cited_others
array[ "鲍则民.杭州创新联合担保模式浅析.《吉林大学学报(信息科学版)》.2012" ]
引用非专利文献
cited_patents
array[ "CN203027992U" ]
引用专利公开(公告)号
application_reference
objectPlease check the form: ApplicationReference
申请信息
apno
stringCN201510570472.5
申请号
date
integer<int32>20211221
日期
publication_reference
objectPlease check the form: PublicationReference
公开信息
date
integer<int32>20211221
日期
kind
stringB2
专利文献代码
country
stringUS
国家/地区/组织代码
doc_number
string106534228
号码
claims_translation
arrayPlease check the form: TitleAbstractDescriptionTranslation
权利要求翻译
abstracts_translation
arrayPlease check the form: TitleAbstractDescriptionTranslation
摘要翻译
description_translation
arrayPlease check the form: TitleAbstractDescriptionTranslation
说明书翻译
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": {
    "pn": "CN110650438A",
    "title": [
      {
        "lang": "EN",
        "text": "Systems and methods for rendering user interfaces for augmented or virtual reality",
        "pn_related": "CN103106923A",
        "data_format": "original"
      }
    ],
    "claims": [
      {
        "lang": "EN",
        "claim_text": "1. A method for selectively constructing a search result for data requested by a search request, said method comprising: generating, by a processor of a computer system, a first tree as a result of executing a subtree procedure specified in a query over a template tree by use of path information of a data node corresponding to data requested by a search request and existing within a database system, wherein the search request comprises the query and path information of the data node, wherein the query traverses the template tree representing a hierarchically organized data structure of the database system according to the path information, wherein the path information indicates a hierarchical address of the data node within the template tree, wherein the subtree procedure dynamically expands the template tree comprising at least one node into a respective group of one or more child nodes pursuant to the path information of the search request, wherein said at least one node is associated with a respective subtree generator callback function for the subtree procedure to perform resulting in dynamically expanded said respective group of one or more child nodes, such that said child nodes of the first tree instantiate respective values located by the path information from at least one data source interconnected to the database system such that the first tree comprises only a portion of the hierarchically organized data structure of the database system specified in the path information of the received search request without expanding entire child nodes for the first tree; selecting, by the processor, the data node that satisfies the path information from the generated first tree; and transferring, by the processor, a value associated with the selected data node to a user program that sent the search request as a search result such that the user program receives the data corresponding to the path information in response to the search request, wherein the user program runs on a computing system coupled to the computer system through a communication medium.\\n2. The method of claim 1, said executing the subtree procedure comprising: traversing a node of said at least one node in the template tree in a descending order from a top level in the hierarchical address specified in the path information, wherein each node in the template tree comprises a respective subtree generator callback function and a respective data set such that the respective subtree generator callback function generates a respective subtree of said each node upon being invoked and such that the respective data set of said each node instantiates all nodes in the respective subtree generated by the respective subtree generator callback function, and wherein the hierarchical address of the path information is ordered such that a higher level in the hierarchical address appears prior to a lower level in the hierarchical address corresponding to the hierarchical address in the template tree; expanding the node in the template tree visited in said traversing; and iterating said traversing and said expanding for each node in the template tree until a bottom level in the hierarchical address of the path information is reached.\\n3. The method of claim 2, said expanding comprising: determining that a child node of the node visited in said traversing does not exist indicating that the node needs to be expanded into a subtree; creating the subtree of the node visited in said traversing by invoking a subtree generator callback function associated with the node visited in said traversing; injecting, to the template tree, the created subtree as the child node of the node visited in said traversing; disassociating the subtree generator callback function from the node visited in said traversing such that the node visited in said traversing does not redundantly create another subtree subsequent to said injecting; and storing the template tree comprising the created subtree as the first tree.\\n4. The method of claim 2, said expanding comprising: determining that a child node of the node visited in said traversing is a terminal node that is not expandable; and storing the template tree comprising the child node comprising a value corresponding to the child node selected from a first data set associated with the node visited from said traversing as the first tree.\\n5. The method of claim 2, wherein the respective data set of the node in the template tree is dynamically collected from a data source of said at least one data source prior to said expanding.\\n6. The method of claim 1, wherein the hierarchically organized data structure of the database system and the search result are expressed in the Extensible Markup Language (XML), and wherein the path information is expressed in the XML Path Language (XPath).\\n7. A computer program product, comprising a computer readable hardware storage device having computer readable program code stored therein, said program code containing instructions executable by a processor of a computer system to implement a method for selectively constructing a search result for data requested by a search request, said method comprising: generating, by the processor, a first tree as a result of executing a subtree procedure specified in a query over a template tree by use of path information of a data node corresponding to data requested by a search request and existing within a database system, wherein the search request comprises the query and path information of the data node, wherein the query traverses the template tree representing a hierarchically organized data structure of the database system according to the path information, wherein the path information indicates a hierarchical address of the data node within the template tree, wherein the subtree procedure dynamically expands the template tree comprising at least one node into a respective group of one or more child nodes pursuant to the path information of the search request, wherein said at least one node is associated with a respective subtree generator callback function for the subtree procedure to perform resulting in dynamically expanded said respective group of one or more child nodes, such that said child nodes of the first tree instantiate respective values located by the path information from at least one data source interconnected to the database system such that the first tree comprises only a portion of the hierarchically organized data structure of the database system specified in the path information of the received search request without expanding entire child nodes for the first tree; selecting, by the processor, the data node that satisfies the path information from the generated first tree; and transferring, by the processor, a value associated with the selected data node to a user program that sent the search request as a search result such that the user program receives the data corresponding to the path information in response to the search request, wherein the user program runs on a computing system coupled to the computer system through a communication medium.\\n8. The computer program product of claim 7, said executing the subtree procedure comprising: traversing a node of said at least one node in the template tree in a descending order from a top level in the hierarchical address specified in the path information, wherein each node in the template tree comprises a respective subtree generator callback function and a respective data set such that the respective subtree generator callback function generates a respective subtree of said each node upon being invoked and such that the respective data set of said each node instantiates all nodes in the respective subtree generated by the respective subtree generator callback function, and wherein the hierarchical address of the path information is ordered such that a higher level in the hierarchical address appears prior to a lower level in the hierarchical address corresponding to the hierarchical address in the template tree; expanding the node in the template tree visited in said traversing; and iterating said traversing and said expanding for each node in the template tree until a bottom level in the hierarchical address of the path information is reached.\\n9. The computer program product of claim 8, said expanding comprising: determining that a child node of the node visited in said traversing does not exist indicating that the node needs to be expanded into a subtree; creating the subtree of the node visited in said traversing by invoking a subtree generator callback function associated with the node visited in said traversing; injecting, to the template tree, the created subtree as the child node of the node visited in said traversing; disassociating the subtree generator callback function from the node visited in said traversing such that the node visited in said traversing does not redundantly create another subtree subsequent to said injecting; and storing the template tree comprising the created subtree as the first tree.\\n10. The computer program product of claim 8, said expanding comprising: determining that a child node of the node visited in said traversing is a terminal node that is not expandable; and storing the template tree comprising the child node comprising a value corresponding to the child node selected from a first data set associated with the node visited from said traversing as the first tree.\\n11. The computer program product of claim 8, wherein the respective data set of the node in the template tree is dynamically collected from a data source of said at least one data source prior to said expanding.\\n12. The computer program product of claim 7, wherein the hierarchically organized data structure of the database system and the search result are expressed in the Extensible Markup Language (XML), and wherein the path information is expressed in the XML Path Language (XPath).\\n13. A computer system, comprising a processor, a memory coupled to the processor, and a computer readable storage device coupled to the processor, said storage device containing program code executable by the processor via the memory to implement a method for selectively constructing a search result for data requested by a search request, said method comprising: generating, by the processor, a first tree as a result of executing a subtree procedure specified in a query over a template tree by use of path information of a data node corresponding to data requested by a search request and existing within a database system, wherein the search request comprises the query and path information of the data node, wherein the query traverses the template tree representing a hierarchically organized data structure of the database system according to the path information, wherein the path information indicates a hierarchical address of the data node within the template tree, wherein the subtree procedure dynamically expands the template tree comprising at least one node into a respective group of one or more child nodes pursuant to the path information of the search request, wherein said at least one node is associated with a respective subtree generator callback function for the subtree procedure to perform resulting in dynamically expanded said respective group of one or more child nodes, such that said child nodes of the first tree instantiate respective values located by the path information from at least one data source interconnected to the database system such that the first tree comprises only a portion of the hierarchically organized data structure of the database system specified in the path information of the received search request without expanding entire child nodes for the first tree; selecting, by the processor, the data node that satisfies the path information from the generated first tree; and transferring, by the processor, a value associated with the selected data node to a user program that sent the search request as a search result such that the user program receives the data corresponding to the path information in response to the search request, wherein the user program runs on a computing system coupled to the computer system through a communication medium.\\n14. The computer system of claim 13, said executing the subtree procedure comprising: traversing a node of said at least one node in the template tree in a descending order from a top level in the hierarchical address specified in the path information, wherein each node in the template tree comprises a respective subtree generator callback function and a respective data set such that the respective subtree generator callback function generates a respective subtree of said each node upon being invoked and such that the respective data set of said each node instantiates ail nodes in the respective subtree generated by the respective subtree generator callback function, and wherein the hierarchical address of the path information is ordered such that a higher level in the hierarchical address appears prior to a lower level in the hierarchical address corresponding to the hierarchical address in the template tree; expanding the node in the template tree visited in said traversing; and iterating said traversing and said expanding for each node in the template tree until a bottom level in the hierarchical address of the path information is reached.\\n15. The computer system of claim 14, said expanding comprising: determining that a child node of the node visited in said traversing does not exist indicating that the node needs to be expanded into a subtree; creating the subtree of the node visited in said traversing by invoking a subtree generator callback function associated with the node visited in said traversing; injecting, to the template tree, the created subtree as the child node of the node visited in said traversing; disassociating the subtree generator callback function from the node visited in said traversing such that the node visited in said traversing does not redundantly create another subtree subsequent to said injecting; and storing the template tree comprising the created subtree as the first tree.\\n16. The computer system of claim 14, said expanding comprising: determining that a child node of the node visited in said traversing is a terminal node that is not expandable; and storing the template tree comprising the child node comprising a value corresponding to the child node selected from a first data set associated with the node visited from said traversing as the first tree.\\n17. The computer system of claim 14, wherein the respective data set of the node in the template tree is dynamically collected from a data source of said at least one data source prior to said expanding.\\n18. The computer system of claim 13, wherein the hierarchically organized data structure of the database system and the search result are expressed in the Extensible Markup Language (XML), and wherein the path information is expressed in the XML Path Language (XPath).",
        "pn_related": "CN103106923A",
        "data_format": "original",
        "claim_independent_count": 3
      }
    ],
    "abstracts": [
      {
        "lang": "EN",
        "text": "An augmented reality display system comprises a passable world model data comprises a set of map points corresponding to one or more objects of the real world. The augmented reality system also comprises......",
        "pn_related": "CN103106923A",
        "data_format": "original"
      }
    ],
    "patent_id": "1e099a74-4378-4b84-9d13-f1b4ed5cb59b",
    "description": [
      {
        "lang": "JP",
        "text": "<b class=\"d_n\">【0001】</b>【発明の属する技術分野】本発明は圧電発振器回路に関し、特に低電源電圧で動作する圧電発振器回路に関する。\\n<b class=\\\"d_n\\\">【0002】</b>\\n【従来の技術】携帯電話機等バッテリーを電源とする移動体通信機器は、消費電力を極力少なくすることにより、同一容量のバッテリーにて通信可能時間が長時間である機種が従来より強く求められている。この為、従来移動体通信機に使用するバッテリーの性能の向上を図ると共に、水晶発振器を含む使用部品の低電力化等による対応を進めている。即ち、駆動電圧を低く設定できれば同一容量のバッテリーでより多くの電流容量を供給できる。一方、この様な水晶発振器に要求される不可欠な重要特性として、広い温度範囲にわたる高い周波数精度や出力振幅の安定性が挙げられるが、水晶発振器は温度特性を有する数多くの部品を用いて構成している為、前記特性を悪化する要因が複数存在する。  上記の要因の一つとしては発振回路内に使用しているトランジスタの動作電流が周囲の温度変化により大きく変化する為に相互コンダクタンスが変化することが知られており、その結果、出力信号の振幅が変動したり、また、トランジスタの入力容量が変化し出力周波数が変動するという問題が生じる。\\n<b class=\\\"d_n\\\">【0003】</b>このことを図面を用いて説明すると、図7は従来技術として一般的に知られるコルピッツ型水晶発振回路である。同図中のR1、R2、R3、R4はトランジスタの直流バイアス抵抗であり、C1、C2、C3、C4はコンデンサであり、Q1はトランジスタであり、Y1は水晶振動子である。また、前記直流バイアス抵抗は、前記トランジスタQ1がA級動作するように値を設定することが一般的である。上述したように温度変化に対するトランジスタの動作電流が変化する主要因としては、トランジスタのベースとエミッタ間の電圧(以下V<sub>BE</sub>と称す)が一次関数的な温度特性を有する為である。従来このような問題を解決する為に、前記直流バイアス抵抗R2にベース電流の数倍から数十倍の電流を流すよう設定を行い前記V<sub>BE</sub>の変化に伴うトランジスタのベース電圧の変動を抑えた設定としていた。また、出力信号の振幅の変動に対しては、従来コレクタ電流を十分多く流すことで予め高出力信号振幅に設定しておき、温度変化により出力信号の振幅が減少した場合に於いても要求する特性を満たすようにしていた。また、エミッタ電圧をV<sub>E</sub>、ベース電圧をV<sub>B</sub>、とした場合、V<sub>E</sub>≒V<sub>B</sub>-V<sub>BE</sub>よりベース電圧V<sub>B</sub>を大きく設定することによりV<sub>BE</sub>の変化に対するエミッタ電圧V<sub>E</sub>の変化を小さくし、エミッタ電流及び、コレクタ電流の変動を抑える設定を行っていた。\\n<b class=\\\"d_n\\\">【0004】</b>\\n【本発明が解決しようとする課題】しかしながら、前記図6に示すような従来の発振回路に於いて、上述したようにベース電圧をV<sub>BE</sub>に対し十分大きく設定する為には電源電圧が十分高いことが必要であり、従って、近年要求される低電圧化を図った発振回路への採用は不可能である。  また、温度変化に伴う出力信号の振幅変動分を補う為にコレクタ電流を多く流し予め高振幅の出力信号を得る方法は、低消費電流の要求に反することになり、その解決が望まれていた。本発明は上記の問題を解決する為になされたものであって、低電源電圧駆動を可能とし、しかも低消費電流であり、更に、発振周波数精度と出力信号の振幅の安定性に優れた圧電発振器を提供することを目的としている。\\n<b class=\\\"d_n\\\">【0005】</b>\\n【課題を解決するための手段】従来の発振回路に於ける前記問題の発生の要因は発振回路中のトランジスタのベースとエミッタ間の電圧V<sub>BE</sub>が温度変化に伴い変動するにも関わらず、トランジスタのベース電圧が固定されている為にある。そこで本発明では、上記を解決する為に、本発明に係わる圧電発振回路の請求項1記載の発明は、発振回路中のトランジスタのベースバイアス回路に前記トランジスタのベースとエミッタ間の電圧と同等の温度·電圧特性を有する半導体素子を備えることにより、前記トランジスタの温度変化に伴うコレクタ·エミッタ電流の変化を抑圧するように構成したことを特徴とした前記圧電発振回路。請求項2記載の発明は前記半導体素子をベースとエミッタとを接続したトランジスタをベースバイアス回路に挿入していることを特徴としている。請求項3記載の発明は前記請求項1の発明に加え、前記圧電発振回路がカスコード型増幅回路を備えたコルピッツ発振回路であることを特徴としている。請求項4記載の発明は前記請求項1、請求項2又は請求項3記載の発明に加え、発振用トランジスタをベースバイアス回路中のトランジスタと同一種類とした構成を特徴としている。\\n<b class=\\\"d_n\\\">【0006】</b>\\n【本発明の実施の形態】以下、図示した実施例に基づいて本発明を詳細に説明する。図1は本発明を用いた水晶発振回路の一実施例を示す回路図である。同図に示す発振回路は直流バイアス抵抗素子R1、R2、R3、R4とコンデンサC1、C2、C3、C4とトランジスタQ1、Q2と水晶振動子Y1から構成しており、前記図7に示す従来のコルピッツ型水晶発振回路とは前記トランジスタQ1のベースバイアス回路の以下の点が異なる。即ち、前記ベースバイアス回路の直流バイアス抵抗R2に直列にベースとコレクタを接続したダイオード接続したトランジスタQ2を接続しており、更に、前記トランジスタQ1とQ2を同一種類とすることにより、前記半導体素子V<sub>T</sub>を前記トランジスタQ2により構成している。これにより温度変化による前記トランジスタQ1のV<sub>BE</sub>の電圧変化に追従するようにベース電圧が変化する為、前記トランジスタQ1の温度変化に伴うコレクタ電流とエミッタ電流の変化を抑え、しかも、温度変化に対し安定な信号振幅の出力を可能とした水晶発振回路を実現することができる。\\n<b class=\\\"d_n\\\">【0007】</b>以下に、このことを数式を用いて詳細に説明する。今、前記図1の発振回路に於いて、コレクタ電流をI<sub>C</sub>、トランジスタQ1のベースとエミッタ間の電圧をV<sub>BE1</sub>、トランジスタQ2のベースとエミッタ間の電圧をV<sub>BE2</sub>、直流バイアス抵抗R2に流れる電流をI<sub>R2</sub>とする。前記コレクタ電流I<sub>C</sub>は一般的に      I<sub>C</sub>=(V<sub>BE2</sub>+I<sub>R2</sub>×R2-V<sub>BE1</sub>)/R4····(1)\\nの関係式で示すことができるが、温度変化によりV<sub>BE1</sub>及び、V<sub>BE2</sub>がそれぞれ+△V<sub>BE1</sub>及び、+△V<sub>BE2</sub>変化した場合のコレクタ電流I<sub>C</sub>+△I<sub>C</sub>はI<sub>C</sub>+△I<sub>C</sub>=(V<sub>BE2</sub>+△V<sub>BE2</sub>+I<sub>R2</sub>×R2-(V<sub>BE1</sub>+△V<sub>BE1</sub>))/R4····(2)\\nで表すことができる。上述した通りトランジスタQ1とQ2は同一種類の半導体素子を使用している為、V<sub>BE1</sub>とV<sub>BE2</sub>の温度変化による電圧変化量は等しく△V<sub>BE1</sub>=△V<sub>BE2</sub>とすることができる。よって、前記温度変化でのコレクタ電流I<sub>C</sub>+△I<sub>C</sub>は  I<sub>C</sub>+△I<sub>C</sub>=(V<sub>BE2</sub>+I<sub>R2</sub>×R2-V<sub>BE1</sub>)/R4····(3)\\nで表され、これは前記式(1)のI<sub>C</sub>と等しい。即ち、温度変化に伴う前記トランジスタQ1のベースとエミッタ間の電圧変化は前記トランジスタQ2のベースとエミッタ間の電圧変化により相殺される為、コレクタ電流I<sub>C</sub>は温度変化に対し、これに影響されず一定の電流値が流れるので安定した発振周波数や出力信号の振幅を得ることができる。\\n<b class=\\\"d_n\\\">【0008】</b>図3は本発明を採用した他の一実施例を示す水晶発振回路であって、この例に示す回路はカスコード型の増幅回路を用いたコルピッツ発振回路である。同図に於いて、Q1、Q2、Q3はトランジスタでありQ2はダイオード接続構造であり、更に、前記トランジスタQ1、Q2は同一ものを使用している。同図中のR1、R2、R3、R4、R5はトランジスタの直流バイアス抵抗であり、またC1、C2、C3、C4、C5はコンデンサであり、前記C1、C2は発振器特性に応じた容量値を有し、前記C3、C4、C5はバイパスコンデンサである。更に、同図中のY1は水晶振動子であり、実施例中では発振器出力周波数が、f<sub>0</sub>=15.36MHzとなる水晶振動子を使用している。また、同図に示す発振回路の構成は、前記抵抗R1の一方の端子を前記レギュレータU1の出力端子に接続し、他方の端子は前記トランジスタQ3のベース端子と前記コンデンサC4に接続しており、該C4の他方の端子は接地している。前記R2の一方の端子は前記U1の出力端子及び、前記R1に接続しており、他方の端子は前記トランジスタQ1のベース端子と、前記水晶振動子Y1の一方の端子及び、前記コンデンサC1の一方の端子に接続している。また、該C1の他方の端子は前記Q1のエミッタ端子と前記コンデンサC2及び、前記R5に接続しており、前記C2及び、R5の他方の端子は接地している。前記R3は一方の端子は前記Q1のベース端子及び前記R2及び振動子Y1に接続し、他方の端子は前記トランジスタQ3のコレクタ及び、ベース端子と接続しており、前記Q3のエミッタ端子及び、前記振動子Y1の他方の端子は接地している。前記R4の一方の端子は電源と前記U1の入力端子及び、前記コンデンサC3に接続しており、他方の端子は前記Q2のコレクタ端子及び前記コンデンサC5に接続し、該C5の他方の端子は発振器出力端子に接続している。前記C3の他方の端子は接地しており、前記Q1のコレクタ端子と前記Q2のエミッタ端子は接続している。\\n<b class=\\\"d_n\\\">【0009】</b>また、本発明の効果を分かり易くする為、図8に示す従来技術に基づくカスコード接続型増幅回路を用いたコルピッツ型発振回路についても評価を行い特性の比較を行った。前記図7に示す発振回路は前記図3に示す発振回路に対し、発振用トランジスタQ1’のベースバイアス回路が直流バイアス抵抗R3’のみの接続としている点が異なる。図2と図7に示す発振回路は低電源電圧駆動とする為、電源電圧は+2.7Vとし、前記レギュレータの出力は+1.7Vとしている。更に、前記トランジスタQ1、Q1’のベース電位は約+0.8Vに設定しその殆どがV<sub>BE</sub>が占める設定としている。\\n<b class=\\\"d_n\\\">【0010】</b>以下に、前記図2に示す発振回路と前記図7に示す発振回路の温度変化に対するコレクタ電流I<sub>C</sub>の変化及び、出力信号の振幅の変化についての評価結果を説明する。図3はそれぞれの発振回路に於いて、周囲温度が-30℃〜+85℃の範囲で変化する場合でのコレクタ電流I<sub>C</sub>の変化を測定した結果を示す。図4は図7に示す発振回路に於ける周囲温度-30℃と+25℃と+85℃での発振器の出力信号の振幅を示す。図5は図2に示す発振回路に於ける周囲温度-30℃と+25℃と+85℃での発振器の出力信号の振幅を示す。\\n<b class=\\\"d_n\\\">【0011】</b>前記図3に示す通り、前記従来の発振回路ではコレクタ電流I<sub>C</sub>は400μA以上の幅で変化しまた、出力信号の振幅は約0.9V<sub>P-P</sub>の幅で変化する。これに対し、本発明に基づく発振回路ではコレクタ電流I<sub>C</sub>は100μA以内の幅で変化し、前記従来の発振回路に於けるコレクタ電流I<sub>C</sub>の変化幅と比較して変化幅が例えば約1/4と狭い特性となる結果が得られている。\\n<b class=\\\"d_n\\\">【0012】</b>また、出力振幅は図6に示す通り、本発明に基づく発振回路に於いては約0.2V<sub>P-P</sub>の幅で変化し、前記従来技術に基づく発振回路の出力振幅と比較して変化幅が約1/5と狭い特性となる結果が得られた。\\n<b class=\\\"d_n\\\">【0013】</b>\\n【本発明の効果】前記の結果より、前記図2に示す本発明に基づく発振回路は前記図7に示す従来技術に基づく発振回路と比較して、温度変化に対しトランジスタのコレクタ電流が一定に保たれる為にトランジスタの入力容量が変化せず、発振器の発振周波数が変動し難くなる効果をもたらすことが理解できる。また、温度変化に対し発振器の出力信号の振幅が安定しているので、従来技術と比較して設定時の出力信号の振幅を抑えることが可能である為、発振器の更なる低消費電流化が実現できる効果をもたらすことが理解できる。よって、本発明により低電源電圧駆動でありながら広温度範囲に於いて、低消費電流であり且つ、出力信号の振幅の変動が小さい特性を有する水晶圧電発振器を実現できる。\\n<b class=\\\"d_n\\\">【0014】</b>また、本発明による一実施例ではカスコード型増幅回路を用いたコルピッツ発振回路について説明したが、本発明はこれに限るものでなく、あらゆる水晶発振器の発振用増幅回路に適用でき、また、実施例と同様の効果が得られることは言うまでもない。\\n<b class=\\\"d_n\\\">【0015】</b>また、本発明による一実施例では圧電素子として水晶振動子及び、特定の周波数を用いたが、本発明はこれに限るものではなくあらゆる圧電素子及び、周波数に適用でき、また、実施例と同様の効果が得られることは言うまでもない。\\n<b class=\\\"d_n\\\">【0016】</b>また、本発明による一実施例では発振用トランジスタQ1、Q1’と、ベースバイアス回路内に有するトランジスタQ3、Q3’をそれぞれ同一の種類としているが、本発明はこれに限るものでなく、圧電発振器の出力振幅が安定するようなトランジスタの組み合わせであれば異なる種類のトランジスタの組み合わせであっても構わない。\\n<b class=\\\"d_n\\\">【0017】</b>\\n【図面の簡単な説明】\\n【図1】本発明に基づく一実施例を示す\\n【図2】本発明に基づく他の一実施例を示す\\n【図3】温度変化に対するコレクタ電流の変化を示す\\n【図4】従来技術に基づく発振回路の出力波形温度変化を示す\\n【図5】本発明に基づく発振回路の出力波形温度変化を示す\\n【図6】従来技術に基づくカスコード型増幅回路を用いたコルピッツ型発振回路\\n【図7】従来技術に基づくカスコード型増幅回路を用いたコルッピツ型発振回路\\n<b class=\\\"d_n\\\">【0018】</b>\\n【符号の説明】\\nU1、U1’···レギュレータ\\nR1、R2、R3、R4、R5、R1’、R2’、R3’、R4’、R5’···抵抗素子\\nC1、C2、C3、C4、C5、C1’、C2’、C3’、C4’、C5’···コンデンサ\\nQ1、Q2、Q3、Q1’、Q2’ 、Q3’···トランジスタ\\nY1、Y1’···水晶振動子",
        "pn_related": "CN103106923A",
        "data_format": "original"
      }
    ],
    "fulltext_image": [
      {
        "path": "https://imagefulltext.cdn.patsnap.com/CN/A/11/64/20/14/1/HDA0004204487520000011.png?Policy=eyJTdGF0ZW1lbnQiOiBbeyJSZXNvdXJjZSI6Imh0dHBzOi8vaW1hZ2VmdWxsdGV4dC5jZG4ucGF0c25hcC5jb20vQ04vQS8xMS82NC8yMC8xNC8xL0hEQTAwMDQyMDQ0ODc1MjAwMDAwMTEucG5nIiwiQ29uZGl0aW9uIjp7IkRhdGVMZXNzVGhhbiI6eyJBV1M6RXBvY2hUaW1lIjoxNjg5NzU5OTc4fSwiSXBBZGRyZXNzIjp7IkFXUzpTb3VyY2VJcCI6IjAuMC4wLjAvMCJ9fX1dfQ__&Signature=S~Q6SepgmAUeGpWeUABJbC9Kc12URSxbhkY9zBApF5wRmm~cxj~HUgGEtXgtiTEMfgptv~58YE3OaJMvYLCkQAY5cxvNg5Fz~GFunxta5bEEObhX5H9jPb92INmrNkbcyFsCDw8EWs2sYl8o1rYY8VSQEnqsUNtnh2XHS3j7Tzs7~408IICBvcPhEfYq-U-wGs49gdCwEnH3kfgrVorquq1pELnylyoOlSvRX0tBS~n7fnbdA-tqfPVVeH68BRxX5g8sEnn-Sow6V3UnuHv7018LYM5B2QdeNo64JRHAvypjvIY9Q~511oR2TRB6eU4agFIEvz~GDS~XK~Vwxj90Sw__&Key-Pair-Id=APKAI44SYS6CW72N3U2Q",
        "image_type": "drawings"
      }
    ],
    "title_translation": [
      {
        "lang": "EN",
        "text": "Systems and methods for rendering user interfaces for augmented or virtual reality",
        "pn_related": "CN103106923A"
      }
    ],
    "bibliographic_data": {
      "assignees": [
        {
          "lang": "EN",
          "name": "MAGIC LEAP, INC.",
          "address": "Dania Beach,FL,US",
          "sequence": 1
        }
      ],
      "inventors": [
        {
          "lang": "EN",
          "name": "MAGIC LEAP, INC.",
          "address": "Dania Beach,FL,US",
          "sequence": 1
        }
      ],
      "applicants": [
        {
          "lang": "EN",
          "name": "MAGIC LEAP, INC.",
          "address": "Dania Beach,FL,US",
          "sequence": 1
        }
      ],
      "patent_type": "PATENT",
      "inpadoc_family": [
        {
          "apdt": 20221107,
          "apno": "US17/981970",
          "kind": "A1",
          "pbdt": 20240509,
          "country": "US",
          "sequence": 1,
          "doc_number": 20240149898
        }
      ],
      "reference_cited": {
        "cited_others": [
          "鲍则民.杭州创新联合担保模式浅析.《吉林大学学报(信息科学版)》.2012"
        ],
        "cited_patents": [
          "CN203027992U"
        ]
      },
      "application_reference": {
        "apno": "CN201510570472.5",
        "date": 20211221
      },
      "publication_reference": {
        "date": 20211221,
        "kind": "B2",
        "country": "US",
        "doc_number": "106534228"
      }
    },
    "claims_translation": [
      {
        "lang": "EN",
        "text": "Systems and methods for rendering user interfaces for augmented or virtual reality",
        "pn_related": "CN103106923A"
      }
    ],
    "abstracts_translation": [
      {
        "lang": "EN",
        "text": "Systems and methods for rendering user interfaces for augmented or virtual reality",
        "pn_related": "CN103106923A"
      }
    ],
    "description_translation": [
      {
        "lang": "EN",
        "text": "Systems and methods for rendering user interfaces for augmented or virtual reality",
        "pn_related": "CN103106923A"
      }
    ]
  },
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200001API整体限流错误!
67200002用户调用请求限流限制错误!
67200003申请token的key和secret不正确或者状态错误!
67200004无权限或该接口的套餐已超过系统设置的上限!
67200005账户余额不足,调用失败!
67200006客户端已过期,调用失败!
67200007超过调用额度,调用失败!

HTTP 状态码

状态码描述
0请求成功
401Unauthorized
403Forbidden
404Not Found

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms